%define lib_major 62
%define lib_name %{name}%{lib_major}

Summary:	A library for manipulating JPEG image format files
Name:		libjpeg
Version:	6b
Release:	19mdk
License:	GPL-like
Group:		System/Libraries
URL:		http://www.ijg.org/

Source0:	ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.bz2
Patch0:		libjpeg-6b-arm.patch.bz2
Patch1:		libjpeg-ia64-acknowledge.patch.bz2

Buildroot:	%_tmppath/%name-%version-%release-root

%description
The libjpeg package contains a shared library of functions for loading,
manipulating and saving JPEG format image files.

Install the libjpeg package if you need to manipulate JPEG files. You
should also install the libjpeg-progs package.

%package -n %{lib_name}
Summary: A library for manipulating JPEG image format files.
Group: System/Libraries
Obsoletes:	%name
Provides:	%name

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libjpeg.


%package -n %{lib_name}-devel
Summary:	Development tools for programs which will use the libjpeg library
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%name-devel
Obsoletes:	%name-devel

%description -n %{lib_name}-devel
The libjpeg-devel package includes the header files and static libraries
necessary for developing programs which will manipulate JPEG files using
the libjpeg library.

If you are going to develop programs which will manipulate JPEG images,
you should install libjpeg-devel.  You'll also need to have the libjpeg
package installed.


%package progs
Summary:	Programs for manipulating JPEG format image files
Group:		Graphics
Requires:	%lib_name = %version-%release
Provides:	%name-progs

%description progs
The libjpeg-progs package contains simple client programs for accessing 
the libjpeg functions.  Libjpeg client programs include cjpeg, djpeg, 
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file into JPEG
format. Djpeg decompresses a JPEG file into a regular image file.  Jpegtran
can perform various useful transformations on JPEG files.  Rdjpgcom displays
any text comments included in a JPEG file.  Wrjpgcom inserts text
comments into a JPEG file.

%prep

%setup -q -n jpeg-6b
%patch0 -p1 
%patch1 -p1

%build
%configure --prefix=%{_prefix} \
	   --enable-shared \
	   --enable-static \
	   --disable-rpath

cat > have_stdlib.sed <<\EOF
s/#define HAVE_STDLIB_H/#ifndef HAVE_STDLIB_H\
&\
#endif/g
EOF
sed -f have_stdlib.sed jconfig.h > jconfig.tmp && mv jconfig.tmp jconfig.h
rm -f have_stdlib.sed
#perl -pi -e 's,hardcode_libdir_flag_spec=",#hardcode_libdir_flag_spec=",;' libtool

%make
%ifnarch armv4l
#FIX MEEE: we know this will fail on arm
LD_LIBRARY_PATH=$PWD make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%doc README change.log
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README usage.doc change.log wizard.doc coderules.doc libjpeg.doc structure.doc example.c
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*.h

%files progs
%defattr(-,root,root)
%doc README change.log
%{_bindir}/*
%{_mandir}/man1/*

%changelog

* Tue Mar 13 2001 Francis Galiegue <fg@mandrakesoft.com> 6b-19mdk

- Added patch to make it recognise ia64

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 6b-18mdk
- Obsoletes: libjpeg-devel
- Fix Requires section
- Spec clean up

* Fri Jan  5 2001 <yduret@mandrakesoft.com> 6b-17mdk
- changed the progs package name to libjpeg-progs

* Wed Jan  3 2001 <yduret@mandrakesoft.com> 6b-16mdk
- macroization
- added URL:, %%doc
- split into libjpeg, libjpeg-progs and libjpeg-devel

* Fri Jul 26 2000 <adussart@mandrakesoft.com> 6b-15mdk
- Updated %%files section. 

* Thu May 04 2000 <adussart@mandrakesoft.com> 6b-14mdk
- Fixed HAVE_STDLIB_H redefine bug.

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 6b-13mdk 
- New group 

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force
- fix strange ./libtool needed by forcing LIBTOOL=libtool

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- patch to build on arm
- build for glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- fix buildroot problem.

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- up to release 4
- remove patch that set (improper) soname - libjpeg now does it itself

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed build on manhattan

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 6b

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package
